WB32F10x Standard Peripherals Firmware Library

Functions
CRC_Private_Functions
WB32F10x_StdPeriph_Driver » CRC

## Functions
uint8_t | CRC8_ComputeBytes (const uint8_t *ptr_data, uint32_t data_len)
| Computes the 8-bit CRC of a given buffer of byte(8-bit) with default seed. More...
uint8_t | CRC8_ComputeBytes_Update (uint8_t seed, const uint8_t *ptr_data, uint32_t data_len)
| Computes the 8-bit CRC of a given buffer of byte(8-bit) with user-defined seed. More...
uint16_t | CRC16_CCITT_ComputeBytes (const uint8_t *ptr_data, uint32_t data_len)
| Computes the 16-bit CRC-CCITT of a given buffer of byte(8-bit) with default seed. More...
uint16_t | CRC16_CCITT_ComputeBytes_Update (uint16_t seed, const uint8_t *ptr_data, uint32_t data_len)
| Computes the 16-bit CRC-CCITT of a given buffer of byte(8-bit) with user-defined seed. More...
uint16_t | CRC16_Modbus_ComputeBytes (const uint8_t *ptr_data, uint32_t data_len)
| Computes the 16-bit CRC(Modbus) of a given buffer of byte(8-bit) with default seed. More...
uint16_t | CRC16_Modbus_ComputeBytes_Update (uint16_t seed, const uint8_t *ptr_data, uint32_t data_len)
| Computes the 16-bit CRC(Modbus) of a given buffer of byte(8-bit) with user-defined seed. More...
uint16_t | CRC16_IBM_ComputeBytes (const uint8_t *ptr_data, uint32_t data_len)
| Computes the 16-bit CRC(IBM) of a given buffer of byte(8-bit) with default seed. More...
uint32_t | CRC32_ComputeBytes (const uint8_t *ptr_data, uint32_t data_len)
| Computes the 32-bit CRC of a given buffer of byte(8-bit) with default seed. More...
uint32_t | CRC32_ComputeBytes_Update (uint32_t seed, const uint8_t *ptr_data, uint32_t data_len)
| Computes the 32-bit CRC of a given buffer of byte(8-bit) with user-defined seed. More...
uint32_t | CRC32_MPEG2_ComputeBytes (const uint8_t *ptr_data, uint32_t data_len)
| Computes the 32-bit CRC(MPEG2) of a given buffer of byte(8-bit) with default seed. More...
uint32_t | CRC32_MPEG2_ComputeBytes_Update (uint32_t seed, const uint8_t *ptr_data, uint32_t data_len)
| Computes the 32-bit CRC(MPEG2) of a given buffer of byte(8-bit) with user-defined seed. More...
uint16_t | CRC16_CCITT_ComputeHalfWords (const uint16_t *ptr_data, uint32_t data_len)
| Computes the 16-bit CRC-CCITT of a given buffer of halfword(16-bit) with default seed. More...
uint16_t | CRC16_CCITT_ComputeHalfWords_Update (uint16_t seed, const uint16_t *ptr_data, uint32_t data_len)
| Computes the 16-bit CRC-CCITT of a given buffer of halfword(16-bit) with user-defined seed. More...
uint16_t | CRC16_Modbus_ComputeHalfWords (const uint16_t *ptr_data, uint32_t data_len)
| Computes the 16-bit CRC(Modbus) of a given buffer of halfword(16-bit) with default seed. More...
uint16_t | CRC16_Modbus_ComputeHalfWords_Update (uint16_t seed, const uint16_t *ptr_data, uint32_t data_len)
| Computes the 16-bit CRC(Modbus) of a given buffer of halfword(16-bit) with user-defined seed. More...
uint16_t | CRC16_IBM_ComputeHalfWords (const uint16_t *ptr_data, uint32_t data_len)
| Computes the 16-bit CRC(IBM) of a given buffer of halfword(16-bit) with default seed. More...
uint32_t | CRC32_ComputeWords (const uint32_t *ptr_data, uint32_t data_len)
| Computes the 32-bit CRC of a given buffer of word(32-bit) with default seed. More...
uint32_t | CRC32_ComputeWords_Update (uint32_t seed, const uint32_t *ptr_data, uint32_t data_len)
| Computes the 32-bit CRC of a given buffer of word(32-bit) with user-defined seed. More...
uint32_t | CRC32_MPEG2_ComputeWords (const uint32_t *ptr_data, uint32_t data_len)
| Computes the 32-bit CRC(MPEG2) of a given buffer of word(32-bit) with default seed. More...
uint32_t | CRC32_MPEG2_ComputeWords_Update (uint32_t seed, const uint32_t *ptr_data, uint32_t data_len)
| Computes the 32-bit CRC(MPEG2) of a given buffer of word(32-bit) with user-defined seed. More...

## Detailed Description

## Function Documentation

## ◆ CRC16_CCITT_ComputeBytes()

uint16_t CRC16_CCITT_ComputeBytes | ( | const uint8_t * | ptr_data,
|  | uint32_t | data_len
| ) |  |

Computes the 16-bit CRC-CCITT of a given buffer of byte(8-bit) with default seed.

Parameters

  ptr_data | Pointer to the buffer containing the data to be computed
  data_len | Length of the buffer to be computed

Returns
  16-bit CRC-CCITT

## ◆ CRC16_CCITT_ComputeBytes_Update()

uint16_t CRC16_CCITT_ComputeBytes_Update | ( | uint16_t | seed,
|  | const uint8_t * | ptr_data,
|  | uint32_t | data_len
| ) |  |

Computes the 16-bit CRC-CCITT of a given buffer of byte(8-bit) with user-defined seed.

Parameters

  seed | User-defined seed
  ptr_data | Pointer to the buffer containing the data to be computed
  data_len | Length of the buffer to be computed

Returns
  16-bit CRC-CCITT

## ◆ CRC16_CCITT_ComputeHalfWords()

uint16_t CRC16_CCITT_ComputeHalfWords | ( | const uint16_t * | ptr_data,
|  | uint32_t | data_len
| ) |  |

Computes the 16-bit CRC-CCITT of a given buffer of halfword(16-bit) with default seed.

Parameters

  ptr_data | Pointer to the buffer containing the data to be computed
  data_len | Length of the buffer to be computed

Returns
  16-bit CRC-CCITT

## ◆ CRC16_CCITT_ComputeHalfWords_Update()

uint16_t CRC16_CCITT_ComputeHalfWords_Update | ( | uint16_t | seed,
|  | const uint16_t * | ptr_data,
|  | uint32_t | data_len
| ) |  |

Computes the 16-bit CRC-CCITT of a given buffer of halfword(16-bit) with user-defined seed.

Parameters

  seed | User-defined seed
  ptr_data | Pointer to the buffer containing the data to be computed
  data_len | Length of the buffer to be computed

Returns
  16-bit CRC-CCITT

## ◆ CRC16_IBM_ComputeBytes()

uint16_t CRC16_IBM_ComputeBytes | ( | const uint8_t * | ptr_data,
|  | uint32_t | data_len
| ) |  |

Computes the 16-bit CRC(IBM) of a given buffer of byte(8-bit) with default seed.

Parameters

  ptr_data | Pointer to the buffer containing the data to be computed
  data_len | Length of the buffer to be computed

Returns
  16-bit CRC(IBM)

## ◆ CRC16_IBM_ComputeHalfWords()

uint16_t CRC16_IBM_ComputeHalfWords | ( | const uint16_t * | ptr_data,
|  | uint32_t | data_len
| ) |  |

Computes the 16-bit CRC(IBM) of a given buffer of halfword(16-bit) with default seed.

Parameters

  ptr_data | Pointer to the buffer containing the data to be computed
  data_len | Length of the buffer to be computed

Returns
  16-bit CRC(IBM)

## ◆ CRC16_Modbus_ComputeBytes()

uint16_t CRC16_Modbus_ComputeBytes | ( | const uint8_t * | ptr_data,
|  | uint32_t | data_len
| ) |  |

Computes the 16-bit CRC(Modbus) of a given buffer of byte(8-bit) with default seed.

Parameters

  ptr_data | Pointer to the buffer containing the data to be computed
  data_len | Length of the buffer to be computed

Returns
  16-bit CRC(Modbus)

## ◆ CRC16_Modbus_ComputeBytes_Update()

uint16_t CRC16_Modbus_ComputeBytes_Update | ( | uint16_t | seed,
|  | const uint8_t * | ptr_data,
|  | uint32_t | data_len
| ) |  |

Computes the 16-bit CRC(Modbus) of a given buffer of byte(8-bit) with user-defined seed.

Parameters

  seed | User-defined seed
  ptr_data | Pointer to the buffer containing the data to be computed
  data_len | Length of the buffer to be computed

Returns
  16-bit CRC(Modbus)

## ◆ CRC16_Modbus_ComputeHalfWords()

uint16_t CRC16_Modbus_ComputeHalfWords | ( | const uint16_t * | ptr_data,
|  | uint32_t | data_len
| ) |  |

Computes the 16-bit CRC(Modbus) of a given buffer of halfword(16-bit) with default seed.

Parameters

  ptr_data | Pointer to the buffer containing the data to be computed
  data_len | Length of the buffer to be computed

Returns
  16-bit CRC(Modbus)

## ◆ CRC16_Modbus_ComputeHalfWords_Update()

uint16_t CRC16_Modbus_ComputeHalfWords_Update | ( | uint16_t | seed,
|  | const uint16_t * | ptr_data,
|  | uint32_t | data_len
| ) |  |

Computes the 16-bit CRC(Modbus) of a given buffer of halfword(16-bit) with user-defined seed.

Parameters

  seed | User-defined seed
  ptr_data | Pointer to the buffer containing the data to be computed
  data_len | Length of the buffer to be computed

Returns
  16-bit CRC(Modbus)

## ◆ CRC32_ComputeBytes()

uint32_t CRC32_ComputeBytes | ( | const uint8_t * | ptr_data,
|  | uint32_t | data_len
| ) |  |

Computes the 32-bit CRC of a given buffer of byte(8-bit) with default seed.

Parameters

  ptr_data | Pointer to the buffer containing the data to be computed
  data_len | Length of the buffer to be computed

Returns
  32-bit CRC

## ◆ CRC32_ComputeBytes_Update()

uint32_t CRC32_ComputeBytes_Update | ( | uint32_t | seed,
|  | const uint8_t * | ptr_data,
|  | uint32_t | data_len
| ) |  |

Computes the 32-bit CRC of a given buffer of byte(8-bit) with user-defined seed.

Parameters

  seed | User-defined seed
  ptr_data | Pointer to the buffer containing the data to be computed
  data_len | Length of the buffer to be computed

Returns
  32-bit CRC

## ◆ CRC32_ComputeWords()

uint32_t CRC32_ComputeWords | ( | const uint32_t * | ptr_data,
|  | uint32_t | data_len
| ) |  |

Computes the 32-bit CRC of a given buffer of word(32-bit) with default seed.

Parameters

  ptr_data | Pointer to the buffer containing the data to be computed
  data_len | Length of the buffer to be computed

Returns
  32-bit CRC

## ◆ CRC32_ComputeWords_Update()

uint32_t CRC32_ComputeWords_Update | ( | uint32_t | seed,
|  | const uint32_t * | ptr_data,
|  | uint32_t | data_len
| ) |  |

Computes the 32-bit CRC of a given buffer of word(32-bit) with user-defined seed.

Parameters

  seed | User-defined seed
  ptr_data | Pointer to the buffer containing the data to be computed
  data_len | Length of the buffer to be computed

Returns
  32-bit CRC

## ◆ CRC32_MPEG2_ComputeBytes()

uint32_t CRC32_MPEG2_ComputeBytes | ( | const uint8_t * | ptr_data,
|  | uint32_t | data_len
| ) |  |

Computes the 32-bit CRC(MPEG2) of a given buffer of byte(8-bit) with default seed.

Parameters

  ptr_data | Pointer to the buffer containing the data to be computed
  data_len | Length of the buffer to be computed

Returns
  32-bit CRC(MPEG2)

## ◆ CRC32_MPEG2_ComputeBytes_Update()

uint32_t CRC32_MPEG2_ComputeBytes_Update | ( | uint32_t | seed,
|  | const uint8_t * | ptr_data,
|  | uint32_t | data_len
| ) |  |

Computes the 32-bit CRC(MPEG2) of a given buffer of byte(8-bit) with user-defined seed.

Parameters

  seed | User-defined seed
  ptr_data | Pointer to the buffer containing the data to be computed
  data_len | Length of the buffer to be computed

Returns
  32-bit CRC(MPEG2)

## ◆ CRC32_MPEG2_ComputeWords()

uint32_t CRC32_MPEG2_ComputeWords | ( | const uint32_t * | ptr_data,
|  | uint32_t | data_len
| ) |  |

Computes the 32-bit CRC(MPEG2) of a given buffer of word(32-bit) with default seed.

Parameters

  ptr_data | Pointer to the buffer containing the data to be computed
  data_len | Length of the buffer to be computed

Returns
  32-bit CRC(MPEG2)

## ◆ CRC32_MPEG2_ComputeWords_Update()

uint32_t CRC32_MPEG2_ComputeWords_Update | ( | uint32_t | seed,
|  | const uint32_t * | ptr_data,
|  | uint32_t | data_len
| ) |  |

Computes the 32-bit CRC(MPEG2) of a given buffer of word(32-bit) with user-defined seed.

Parameters

  seed | User-defined seed
  ptr_data | Pointer to the buffer containing the data to be computed
  data_len | Length of the buffer to be computed

Returns
  32-bit CRC(MPEG2)

## ◆ CRC8_ComputeBytes()

uint8_t CRC8_ComputeBytes | ( | const uint8_t * | ptr_data,
|  | uint32_t | data_len
| ) |  |

Computes the 8-bit CRC of a given buffer of byte(8-bit) with default seed.

Parameters

  ptr_data | Pointer to the buffer containing the data to be computed
  data_len | Length of the buffer to be computed

Returns
  8-bit CRC

## ◆ CRC8_ComputeBytes_Update()

uint8_t CRC8_ComputeBytes_Update | ( | uint8_t | seed,
|  | const uint8_t * | ptr_data,
|  | uint32_t | data_len
| ) |  |

Computes the 8-bit CRC of a given buffer of byte(8-bit) with user-defined seed.

Parameters

  seed | User-defined seed
  ptr_data | Pointer to the buffer containing the data to be computed
  data_len | Length of the buffer to be computed

Returns
  8-bit CRC